"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var AZApiMapsWrapperService = (function () {
    function AZApiMapsWrapperService() {
        this._maps = new Map();
        this._index = 0;
    }
    AZApiMapsWrapperService.prototype.loadMap = function (mapElement, options) {
        var map = new google.maps.Map(mapElement, options);
        this._maps.set(this._index, map);
        return this._index++;
    };
    AZApiMapsWrapperService.prototype.getNativeMap = function (mapId) {
        return this._maps.get(+mapId);
    };
    AZApiMapsWrapperService = __decorate([
        core_1.Injectable(), 
        __metadata('design:paramtypes', [])
    ], AZApiMapsWrapperService);
    return AZApiMapsWrapperService;
}());
exports.AZApiMapsWrapperService = AZApiMapsWrapperService;
//# sourceMappingURL=az-api-maps-wrapper.js.map