"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var az_api_maps_loader_1 = require("../../services/az-api-maps-loader");
var az_api_maps_wrapper_1 = require("../../services/az-api-maps-wrapper");
var AZMapChildComponent_1 = require("../../entities/AZMapChildComponent");
var AZMapMarkerComponent = (function (_super) {
    __extends(AZMapMarkerComponent, _super);
    function AZMapMarkerComponent(_element, _loader, _wrapper) {
        _super.call(this);
        this._element = _element;
        this._loader = _loader;
        this._wrapper = _wrapper;
    }
    AZMapMarkerComponent.prototype.optionsAvailable = function () {
        return [];
    };
    AZMapMarkerComponent.prototype.ngOnInit = function () {
        var _this = this;
        this._loader.load().then(function () {
            _this._defineMapId();
            _this.createMarker();
        });
    };
    AZMapMarkerComponent.prototype.createMarker = function () {
        var marker = new google.maps.Marker({
            position: new google.maps.LatLng(+this.latitude, +this.longitude),
            map: this._wrapper.getNativeMap(this.mapId),
            title: 'Hello World!'
        });
    };
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Number)
    ], AZMapMarkerComponent.prototype, "latitude", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Number)
    ], AZMapMarkerComponent.prototype, "longitude", void 0);
    AZMapMarkerComponent = __decorate([
        core_1.Component({
            selector: 'az-map-marker',
            template: ''
        }), 
        __metadata('design:paramtypes', [core_1.ElementRef, az_api_maps_loader_1.AZApiMapsLoaderService, az_api_maps_wrapper_1.AZApiMapsWrapperService])
    ], AZMapMarkerComponent);
    return AZMapMarkerComponent;
}(AZMapChildComponent_1.AZMapChildComponent));
exports.AZMapMarkerComponent = AZMapMarkerComponent;
//# sourceMappingURL=az-map-marker.component.js.map