"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var AZApiMapsLoaderService = (function () {
    function AZApiMapsLoaderService() {
        this._progressStarted = false;
    }
    AZApiMapsLoaderService.prototype.load = function () {
        var _this = this;
        this._instance = this._instance || new Promise(function (resolve) {
            if (!_this._progressStarted) {
                var script = document.createElement('script');
                document.body.appendChild(script);
                script.src = 'https://maps.googleapis.com/maps/api/js';
                _this._progressStarted = true;
            }
            (function loaded() {
                if (typeof window['google'] !== 'undefined') {
                    resolve(window['google']);
                    return;
                }
                setTimeout(loaded, 100);
            })();
        });
        return this._instance;
    };
    AZApiMapsLoaderService = __decorate([
        core_1.Injectable(), 
        __metadata('design:paramtypes', [])
    ], AZApiMapsLoaderService);
    return AZApiMapsLoaderService;
}());
exports.AZApiMapsLoaderService = AZApiMapsLoaderService;
//# sourceMappingURL=az-api-maps-loader.js.map