"use strict";
var az_api_maps_loader_1 = require("./az-api-maps-loader");
describe("AzApiMapsLoader service", function () {
    it('should load google maps script', function (done) {
        var loader = new az_api_maps_loader_1.AZApiMapsLoaderService();
        loader.load().then(function (google) {
            expect(window).hasOwnProperty('google');
            expect([].some.call(document.scripts, function (script) { return script.src === 'https://maps.googleapis.com/maps/api/js'; })).toBeTruthy();
            expect(google).hasOwnProperty('maps');
            done();
        });
    });
});
//# sourceMappingURL=az-api-maps-loader.spec.js.map